org.apache.poi.hssf.usermodel

## Class HSSFPatternFormatting

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFPatternFormatting

- All Implemented Interfaces:
    PatternFormatting

      public class HSSFPatternFormatting
      extends java.lang.Object
      implements PatternFormatting

  High level representation for Conditional Formatting settings

- - ### Field Summary

    - ### Fields inherited from interface org.apache.poi.ss.usermodel.PatternFormatting

      `ALT_BARS, BIG_SPOTS, BRICKS, DIAMONDS, FINE_DOTS, LEAST_DOTS, LESS_DOTS, NO_FILL, SOLID_FOREGROUND, SPARSE_DOTS, SQUARES, THICK_BACKWARD_DIAG, THICK_FORWARD_DIAG, THICK_HORZ_BANDS, THICK_VERT_BANDS, THIN_BACKWARD_DIAG, THIN_FORWARD_DIAG, THIN_HORZ_BANDS, THIN_VERT_BANDS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HSSFPatternFormatting(CFRuleBase cfRuleRecord, HSSFWorkbook workbook)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getFillBackgroundColor()`
    `HSSFColor` | `getFillBackgroundColorColor()`
    `short` | `getFillForegroundColor()`
    `HSSFColor` | `getFillForegroundColorColor()`
    `short` | `getFillPattern()`
    `protected PatternFormatting` | `getPatternFormattingBlock()`
    `void` | `setFillBackgroundColor(Color bg)`
    `void` | `setFillBackgroundColor(short bg)`
    `void` | `setFillForegroundColor(Color fg)`
    `void` | `setFillForegroundColor(short fg)`
    `void` | `setFillPattern(short fp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSFPatternFormatting

          protected HSSFPatternFormatting(CFRuleBase cfRuleRecord,
                                          HSSFWorkbook workbook)

  - ### Method Detail

    - #### getPatternFormattingBlock

          protected PatternFormatting getPatternFormattingBlock()

    - #### getFillBackgroundColorColor

          public HSSFColor getFillBackgroundColorColor()

      Specified by:
        `getFillBackgroundColorColor` in interface `PatternFormatting`

    - #### getFillForegroundColorColor

          public HSSFColor getFillForegroundColorColor()

      Specified by:
        `getFillForegroundColorColor` in interface `PatternFormatting`

    - #### getFillBackgroundColor

          public short getFillBackgroundColor()

      Specified by:
        `getFillBackgroundColor` in interface `PatternFormatting`
      See Also:
        `PatternFormatting.getFillBackgroundColor()`

    - #### getFillForegroundColor

          public short getFillForegroundColor()

      Specified by:
        `getFillForegroundColor` in interface `PatternFormatting`
      See Also:
        `PatternFormatting.getFillForegroundColor()`

    - #### getFillPattern

          public short getFillPattern()

      Specified by:
        `getFillPattern` in interface `PatternFormatting`
      See Also:
        `PatternFormatting.getFillPattern()`

    - #### setFillBackgroundColor

          public void setFillBackgroundColor(Color bg)

      Specified by:
        `setFillBackgroundColor` in interface `PatternFormatting`

    - #### setFillForegroundColor

          public void setFillForegroundColor(Color fg)

      Specified by:
        `setFillForegroundColor` in interface `PatternFormatting`

    - #### setFillBackgroundColor

          public void setFillBackgroundColor(short bg)

      Specified by:
        `setFillBackgroundColor` in interface `PatternFormatting`
      Parameters:
        `bg` -
      See Also:
        `PatternFormatting.setFillBackgroundColor(int)`

    - #### setFillForegroundColor

          public void setFillForegroundColor(short fg)

      Specified by:
        `setFillForegroundColor` in interface `PatternFormatting`
      Parameters:
        `fg` -
      See Also:
        `PatternFormatting.setFillForegroundColor(int)`

    - #### setFillPattern

          public void setFillPattern(short fp)

      Specified by:
        `setFillPattern` in interface `PatternFormatting`
      Parameters:
        `fp` -
      See Also:
        `PatternFormatting.setFillPattern(int)`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.